FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
Fl_GDI_Printer_Graphics_Driver Class Reference

The graphics driver used when printing on MSWindows. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_GDI_Printer_Graphics_Driver:

List of all members.

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object.
void | draw (Fl_Pixmap *pxm, int XP, int YP, int WP, int HP, int cx, int cy)
| Draws an Fl_Pixmap object to the device.
## Static Public Attributes
static const char * | class_id = "Fl_GDI_Printer_Graphics_Driver"
| A string that identifies each subclass of Fl_Device.

## Detailed Description

The graphics driver used when printing on MSWindows.

This class is implemented only on the MSWindows platform. It 's extremely similar to Fl_GDI_Graphics_Driver.

## Member Function Documentation

const char* Fl_GDI_Printer_Graphics_Driver::class_name | ( |  | ) | `[inline, virtual]`

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

       if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_GDI_Graphics_Driver.

void Fl_GDI_Printer_Graphics_Driver::draw | ( | Fl_Pixmap * | pxm,
|  | int | XP,
|  | int | YP,
|  | int | WP,
|  | int | HP,
|  | int | cx,
|  | int | cy
| ) |  | `[virtual]`

Draws an Fl_Pixmap object to the device.

Specifies a bounding box for the image, with the origin (upper left-hand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_GDI_Graphics_Driver.

## Member Data Documentation

const char * Fl_GDI_Printer_Graphics_Driver::class_id = "Fl_GDI_Printer_Graphics_Driver"`[static]`

A string that identifies each subclass of Fl_Device.

Function class_name() applied to a device of this class returns this string.

Reimplemented from Fl_GDI_Graphics_Driver.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx